"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

require("jest-styled-components");

var _ = _interopRequireDefault(require(".."));

var props = {
  children: 'Sample',
  className: ''
};
describe('Para Component', function () {
  var paragraph;
  test('should render correctly and match snapshot', function () {
    paragraph = (0, _enzyme.shallow)(_react.default.createElement(_.default, props, "This is Para text"));
    expect(paragraph).toMatchSnapshot();
  });
  test('should render with styles correctly and match snapshot', function () {
    paragraph = _reactTestRenderer.default.create(_react.default.createElement(_.default, props, "This is Para text")).toJSON();
    expect(paragraph).toMatchSnapshot();
  });
});