import React from 'react';
import { shallow } from 'enzyme';
import renderer from 'react-test-renderer';
import 'jest-styled-components';
import Heading from '..';
var props = {
  children: 'Sample',
  className: ''
};
describe('Heading Component', function () {
  var heading;
  test('should render correctly and match snapshot', function () {
    heading = shallow(React.createElement(Heading, props));
    expect(heading).toMatchSnapshot();
  });
  test('should render with styles correctly and match snapshot', function () {
    heading = renderer.create(React.createElement(Heading, props)).toJSON();
    expect(heading).toMatchSnapshot();
  });
});